cURL
curl --request GET \
--url https://api.botpress.cloud/v1/chat/events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>' \
--header 'x-bp-authenticated-principal: <x-bp-authenticated-principal>'import requests
url = "https://api.botpress.cloud/v1/chat/events/{id}"
headers = {
"x-bp-authenticated-principal": "<x-bp-authenticated-principal>",
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-bp-authenticated-principal': '<x-bp-authenticated-principal>',
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.botpress.cloud/v1/chat/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"payload": {},
"status": "pending",
"failureReason": "<string>",
"conversationId": "<string>",
"userId": "<string>",
"messageId": "<string>"
}
}{
"event": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"payload": {},
"status": "pending",
"failureReason": "<string>",
"conversationId": "<string>",
"userId": "<string>",
"messageId": "<string>"
}
}getEvent
Retrieves the Event object for a valid identifiers.
GET
/
v1
/
chat
/
events
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Authenticated principal. Injected by the authentication middleware.
Bot id
Integration id
Integration alias
Caller's IP address. Injected by the edge proxy.
Path Parameters
Event id
Last modified on July 3, 2026
Was this page helpful?
⌘I